package com.red.circle.console.app.service.app.sys;

import com.red.circle.console.app.dto.clienobject.sys.SysBannerConfigCO;
import com.red.circle.framework.dto.PageResult;
import com.red.circle.other.inner.model.cmd.sys.SysBannerConfigQryCmd;
import com.red.circle.other.inner.model.dto.sys.SysBannerConfigDTO;

/**
 * banner配置
 *
 * @author zongpubin on 2023/10/30
 */
public interface SysBannerConfigService {

  PageResult<SysBannerConfigCO> getBanner(SysBannerConfigQryCmd query);

  void addBanner(SysBannerConfigDTO dto);

  void removeBanner(String sysOrigin, Long id);

  void updateBanner(SysBannerConfigDTO dto);
}
